News::Scan::Thread(3pm)

NAME
News::Scan::Thread - keep track of threads in a Usenet newsgroup

SYNOPSIS
    use News::Scan::Thread;

    my $thr = News::Scan::Thread->new($news_scan_article_obj);

DESCRIPTION
This module provides a class whose objects can be used to keep track of threads of discussion in a Usenet newsgroup.

CONSTRUCTOR

new ( ARTICLE )
    "ARTICLE" should be a "News::Scan::Article" object or an object of some class derived from "News::Scan::Article".

    "new" performs some initialization and returns a "News::Scan::Thread".

METHODS

subject
    Returns this thread's subject.

volume
    Returns the volume in bytes generated in this thread.

articles
    Returns the number of posts to this thread.

header_volume
    Returns the volume in bytes of the headers in this thread's articles.

header_lines
    Returns the number of header lines in this thread's articles.

body_volume
    Returns the volume in bytes of the message bodies of this thread's articles.

body_lines
    Returns the number of lines in this thread's message bodies.

orig_volume
    Returns the volume in bytes of the original content of this thread's articles.

orig_lines
    Returns the number of original lines in this thread's articles.

sig_volume
    Returns the volume in bytes of the signatures of this thread's articles.

sig_lines
    Returns the number of signature lines in this thread's articles.

SEE ALSO
News::Scan, News::Scan::Article

AUTHOR
Greg Bacon <gbacon@cs.uah.edu>

COPYRIGHT
Copyright (c) 1997 Greg Bacon. All Rights Reserved. This library is free software. You may distribute and/or modify it under the same terms as Perl itself.